ObjectToMimeMessage (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.transformers.ObjectToMimeMessage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email.transformers
Class ObjectToMimeMessage

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageAwareTransformer
              org.mule.transport.email.transformers.StringToEmailMessage
                  org.mule.transport.email.transformers.ObjectToMimeMessage

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, Transformer

    public class ObjectToMimeMessage

extends StringToEmailMessage

Transforms a javax.mail.Message to a MuleMessage, with support for attachments

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`ObjectToMimeMessage()`

Method Summary
`protected void` | `addBodyPartHeaders(BodyPart part, String name, MuleMessage message)`
`protected BodyPart` | `getBodyPartForAttachment(DataHandler handler, String name)`
`protected BodyPart` | `getPayloadBodyPart(Object payload, String contentType)`
`protected void` | `setContent(Object payload, Message msg, String contentType, MuleMessage message)`

Methods inherited from class org.mule.transport.email.transformers.StringToEmailMessage
`transform`

Methods inherited from class org.mule.transformer.AbstractMessageAwareTransformer
`doTransform, isSourceTypeSupported`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectToMimeMessage

    public ObjectToMimeMessage()

Method Detail

### setContent

    protected void setContent(Object payload,
                              Message msg,
                              String contentType,
                              MuleMessage message)
                       throws Exception

  Overrides:
    `setContent` in class `StringToEmailMessage`
  Throws:
    `Exception`

### addBodyPartHeaders

    protected void addBodyPartHeaders(BodyPart part,
                                      String name,
                                      MuleMessage message)

### getBodyPartForAttachment

    protected BodyPart getBodyPartForAttachment(DataHandler handler,
                                                String name)
                                         throws MessagingException

  Throws:
    `MessagingException`

### getPayloadBodyPart

    protected BodyPart getPayloadBodyPart(Object payload,
                                          String contentType)
                                   throws MessagingException,
                                          TransformerException,
                                          IOException

  Throws:
    `MessagingException`
    `TransformerException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.